function registerModal() {
  const myModal = bootstrap.Modal.getOrCreateInstance("#confirmationModal");
  const confirmationModalSubmit = document.getElementById("confirmationModalSubmit");
  let modalFunction = () => {};
  confirmationModalSubmit.addEventListener("click", () => {
    modalFunction();
  });

  function showModal(submitFunction, cssClass, header_text, body_text, submit_text) {
    document.getElementById("confirmationModalHeader").classList.remove("bg-warning", "bg-danger");
    document.getElementById("confirmationModalHeader").classList.add(`text-bg-${cssClass}`);
    document.getElementById("confirmationModalLabel").innerHTML = header_text;
    document.getElementById("confirmationModalBody").innerHTML = body_text;
    confirmationModalSubmit.innerHTML = submit_text;
    confirmationModalSubmit.classList.remove("btn-warning", "btn-danger");
    confirmationModalSubmit.classList.add(`btn-${cssClass}`);
    modalFunction = submitFunction;
    myModal.show();
  }
  return showModal;
}
